Bug 1940968 - Diacritics cannot be type using dead keys under Wayland [NEEDINFO]
Summary: Diacritics cannot be type using dead keys under Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwayland
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-19 16:33 UTC by marcdeop
Modified: 2022-05-04 06:06 UTC (History)
11 users (show)

Fixed In Version: qt5-qtwayland-5.15.2-6.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-03 02:05:34 UTC
Type: Bug
geraldo.simiao.kutz: needinfo? (rdieter)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 411729 0 HI CONFIRMED Accented and dead keys do not work when QT_IM_MODULE is set to anything 2021-03-19 16:34:39 UTC
Qt Bug Tracker QTBUG-87088 0 None None None 2021-03-19 16:34:39 UTC

Description marcdeop 2021-03-19 16:33:11 UTC
Description of problem:

Diacritics cannot be type using dead keys under Wayland. I am running a plasma session on wayland and characters like á, à, ä and so on are not "typeable" on Qt apps (kwrita, kate, neochat, telegram...).


Version-Release number of selected component (if applicable): 5.15.2


How reproducible: Start a KDE wayland session


Steps to Reproduce:
1. Just try to type any diacritic sign on Qt apps

Actual results: a


Expected results: á


Additional info:

This seems to be a know bug:
https://community.kde.org/Plasma/Wayland_Showstoppers#Input
https://bugs.kde.org/show_bug.cgi?id=411729
https://bugreports.qt.io/browse/QTBUG-87088

There is a MR: https://codereview.qt-project.org/c/qt/qtwayland/+/338196

When settings these env variables:
GTK_IM_MODULE=ibus
XMODIFIERS=@im=ibus
QT_IM_MODULE=ibus

Apps seem to behave properly.

Comment 1 Geraldo Simião 2021-03-29 19:19:37 UTC
I was experiencing the same bug here, then I tried the workarround suggested by Marc at the description (editing the /etc/environment config) and it worked fine. Now I can type è é â õ on any app at plasma wayland. :D

Fedora 34 (KDE Plasma Prerelease) x86_64 / Kernel: 5.11.10-300.fc34.x86_64 / Plasma 5.21.3 / Qt: 5.15.2 / Frameworks: 5.80.0

Question: Can this be arranged on the installation of F34 kde spin (insert this three line on the env file? Or its better to wait for upstream for the right fix?

Comment 2 Fedora Update System 2021-04-27 18:48:24 UTC
FEDORA-2021-7c3322c978 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c3322c978

Comment 3 Fedora Update System 2021-04-28 01:35:00 UTC
FEDORA-2021-7c3322c978 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7c3322c978`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c3322c978

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Geraldo Simião 2021-04-28 12:58:45 UTC
With the new update (https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c3322c978) everything works fine now, no need to edit the /etc/environment config anymore.
Bug fixed.

Comment 5 Fernando Pereira dos Santos 2021-04-29 11:00:21 UTC
It's not working at all!

:/

Operating System: Fedora 34
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Kernel Version: 5.11.16-300.fc34.x86_64
OS Type: 64-bit
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i5-8250U CPU @ 1.60GHz
Memory: 23.4 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620

Comment 6 Fedora Update System 2021-04-29 12:17:57 UTC
FEDORA-2021-d6696fafa9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6696fafa9

Comment 7 Fedora Update System 2021-04-29 18:59:08 UTC
FEDORA-2021-d6696fafa9 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6696fafa9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6696fafa9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-03 02:05:34 UTC
FEDORA-2021-7c3322c978 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-05-14 21:09:35 UTC
FEDORA-2021-d6696fafa9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Geraldo Simião 2022-04-21 03:18:04 UTC
It seems this bug returned now on latest qt versions, and the workarround (env variables doesnt work anymore)

Operating System: Fedora Linux 36
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Kernel Version: 5.17.4-300.fc36.x86_64 (64-bit)
Graphics Platform: Wayland

Processors: 8 × Intel® Core™ i7-3632QM CPU @ 2.20GHz
Memory: 15.4 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 4000

qt6-qtwayland-6.2.3-2.fc36.x86_64
qt5-qtwayland-5.15.3-2.fc36.x86_64

Comment 11 Geraldo Simião 2022-04-22 18:05:18 UTC
Today after another reboot I realised the bug only appear on tlegram-desktop, not on any other program. Firefox, libreoffice, kwrite, konsole, all are working fine. 
I should open a ticket at rpmfusion bugzilla.
Sorry for the inconvenience :/


Note You need to log in before you can comment on or make changes to this bug.